JUnitConverterTask (TestNG)

Overview | Package | Class | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.testng
Class JUnitConverterTask

    java.lang.Object
      org.apache.tools.ant.ProjectComponent
          org.apache.tools.ant.Task
              org.testng.JUnitConverterTask

    public class JUnitConverterTask

extends org.apache.tools.ant.Task

Author:
  Andy.Glover

Field Summary

Fields inherited from class org.apache.tools.ant.Task
`description, location, target, taskName, taskType, wrapper`

Fields inherited from class org.apache.tools.ant.ProjectComponent
`project`

Constructor Summary
`JUnitConverterTask()`

Method Summary
`void` | `execute()`
`void` | `init()`
`void` | `setAnnotations(boolean annotations)`
`void` | `setGroups(java.lang.String groups)`
`void` | `setOutputDir(java.io.File outputDirectory)` Setter for report's output directory
`void` | `setSourceDir(java.io.File sourceDirectory)`

Methods inherited from class org.apache.tools.ant.Task
`getDescription, getLocation, getOwningTarget, getRuntimeConfigurableWrapper, getTaskName, getTaskType, getWrapper, handleErrorFlush, handleErrorOutput, handleFlush, handleInput, handleOutput, isInvalid, log, log, maybeConfigure, perform, reconfigure, setDescription, setLocation, setOwningTarget, setRuntimeConfigurableWrapper, setTaskName, setTaskType`

Methods inherited from class org.apache.tools.ant.ProjectComponent
`getProject, setProject`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JUnitConverterTask

    public JUnitConverterTask()

Method Detail

### execute

    public void execute()
                 throws org.apache.tools.ant.BuildException

  Overrides:
    `execute` in class `org.apache.tools.ant.Task`
  Throws:
    `org.apache.tools.ant.BuildException`

### init

    public void init()
              throws org.apache.tools.ant.BuildException

  Overrides:
    `init` in class `org.apache.tools.ant.Task`
  Throws:
    `org.apache.tools.ant.BuildException`

### setOutputDir

    public void setOutputDir(java.io.File outputDirectory)

  Setter for report's output directory

  Parameters:
    `outputDirectory` -

### setGroups

    public void setGroups(java.lang.String groups)

### setSourceDir

    public void setSourceDir(java.io.File sourceDirectory)

  Parameters:
    `sourceDirectory` -

### setAnnotations

    public void setAnnotations(boolean annotations)

  Parameters:
    `annotations` -

Overview | Package | Class | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD